import type { JSX } from '../../stencil-public-runtime';
import type { HeadingAPI, HeadingLevel, HeadingStates, HeadingVariantPropType, LabelWithExpertSlotPropType } from '../../schema';
export declare class KolHeading implements HeadingAPI {
    _label: LabelWithExpertSlotPropType;
    _level?: HeadingLevel;
    _secondaryHeadline?: string;
    _variant?: HeadingVariantPropType;
    state: HeadingStates;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateLevel(value?: HeadingLevel): void;
    validateSecondaryHeadline(value?: string): void;
    validateVariant(value?: HeadingVariantPropType): void;
    componentWillLoad(): void;
    render(): JSX.Element;
}
